sisu (4.2.4-1) unstable; urgency=low

  Adds Chinese Japanese and Korean.
  This results in a large additional texlive xetex dependency for sisu-pdf. In
  future may split CJK for sisu-pdf into sisu-pdf-cjk

 -- Ralph Amissah <ralph@amissah.com>  Sat, 21 Sep 2013 01:00:55 -0400

sisu (4.1.0-1) unstable; urgency=low

  * Version 3 is closed (which means no more document "skins").
  * Version 4 is the default (on running sisu) and will be kept stable.
  * Version 5 currently a development branch is opened, it is currently a mirror
    of Version 4.

 -- Ralph Amissah <ralph@amissah.com>  Sat, 11 May 2013 21:55:08 -0400

sisu (3.0.1-1) unstable; urgency=low

  Version 3 is now the default (on running sisu). There are 3 possible output
  structures set in sisurc.yml
    "output_dir_structure_by: (language|filetype|filename)"
  structure by "language" is the default set in /etc/sisu/v3/sisurc.yml
  structure by "filename" is closest to the structure provided by v2, (however,
  filenames have a language code addition)

  Version 2 remains available (unchanged), invoked as 'sisu2' or 'sisu --v2'
  (followed by usual instructions)

 -- Ralph Amissah <ralph@amissah.com>  Mon, 03 Oct 2011 21:25:19 -0400

sisu (3.0.0-1) unstable; urgency=low

  Version 3 development branch opened, version 1 retired (removed), processing
  defaults version 2 stable. To run version 3, 'sisu3' or 'sisu --v3' (followed
  by usual instructions), See version 3 upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Mon, 07 Feb 2011 10:53:18 -0500

sisu (2.3.0-1) unstable; urgency=medium

  SQL db structure addition (of Online Computer Library Center number) (v2c),
  (if you use sisu search) it is necessary to: (a) recreate db and tables and
  populate them, and; (b) to regenerate the sample search form (or modify any
  search forms)

  The postgresql db name prefix is now "SiSUv2c_"

  This version includes many small fixes, see upstream changelog

 -- Ralph Amissah <ralph@amissah.com>  Tue, 27 Apr 2010 19:51:23 -0400

sisu (2.2.0-1) unstable; urgency=medium

  SQL db structure changes (v2b), (if you use sisu search) it is necessary to:
  (a) recreate db and tables and populate them, and; (b) to regenerate the
  sample search form (or modify any search forms)

  The postgresql db name prefix is now "SiSUv2b_" [corrected]

  This version includes fixes

  [beats 2.1.0 to testing]

 -- Ralph Amissah <ralph@amissah.com>  Tue, 20 Apr 2010 19:33:31 -0400

sisu (2.1.0-1) unstable; urgency=medium

  Version 2.1 sql db structure changes, it is necessary to (a) recreate db and
  tables and populate them, and (b) to regenerate the sample search form (or
  modify any search forms)

  The postgresql db name prefix is now "iSiSUv2a_" [corrected]

  [There may be additional db structure changes on in the near future if these
  are required after testing and review of this release]

  This version also includes a number of fixes

 -- Ralph Amissah <ralph@amissah.com>  Fri, 16 Apr 2010 11:31:54 -0400

sisu (2.0.0-1) unstable; urgency=low

  Version 2, introducing some incompatibility as document headers have changed,
  compare markup samples[*] provided in:
  /usr/share/doc/sisu/v2/sisu_markup_samples/samples and
  /usr/share/doc/sisu/v1/sisu_markup_samples/samples

  If postgresql is made use of version 2 also makes its own databases and
  leaves those of version 1 untouched

  The version 1 engine remains available and can be invoked using:
    sisu --v1 [operations]

  [* version 2 of non-free package sisu-markup-samples provides additional
  samples of markup at:
  /usr/share/doc/sisu-markup-samples/v2/samples
  /usr/share/doc/sisu-markup-samples/v1/samples
  sisu-markup-sasmples package is non dfsg as book copyright holders place
  some restrictions on what can be done with their work most commonly no
  changing of content, and in some non commercial use]

 -- Ralph Amissah <ralph@amissah.com>  Sat, 06 Mar 2010 06:50:00 -0500

sisu (0.62.0-1) unstable; urgency=medium

  Output directory structure related to images and optional shared source
  files has been changed, existing sites will need to be manually adjusted

  * site images:
    [outputpath]/_sisu/image_local is now [outputpath]/_sisu/image

  * package images:
    [outputpath]/_sisu/image is now [outputpath]/_sisu/image_sys

  shared source if any now is placed in separate directories

  * shared markup text:
    [outputpath]/src

  * shared (zipped) sisupods:
    [outputpath]/pod

 -- Ralph Amissah <ralph@amissah.com>  Sat, 20 Oct 2007 15:04:46 +0100
